=== modified file 'configure.ac'
--- configure.ac	2009-02-10 02:29:23 +0000
+++ configure.ac	2009-02-10 07:11:39 +0000
@@ -272,8 +272,8 @@
   then
     MEMALIGN_FLAGS="-xmemalign=8s"
   fi
-  CXXFLAGS="${CXXFLAGS} -compat=5 -library=stlport4 -template=no%extdef ${MEMALIGN_FLAGS}"
-  CFLAGS="${CFLAGS} -xstrconst ${MEMALIGN_FLAGS}"
+  CXXFLAGS="${CXXFLAGS} -compat=5 -library=stlport4 -template=no%extdef -xprefetch=explicit ${MEMALIGN_FLAGS}"
+  CFLAGS="${CFLAGS} -xstrconst -xprefetch=explicit ${MEMALIGN_FLAGS}"
   SYMBOLS_FLAGS="-g"
   OPTIMIZE_FLAGS="-xO4 -xlibmil -xdepend"
   OPTIMIZE_CFLAGS="${OPTIMIZE_FLAGS}"

=== modified file 'storage/innobase/include/univ.i'
--- storage/innobase/include/univ.i	2009-02-09 20:09:41 +0000
+++ storage/innobase/include/univ.i	2009-02-10 07:11:39 +0000
@@ -363,8 +363,8 @@
 #elif ( defined(sun) || defined(__sun) )
 # define UNIV_EXPECT(expr,value) (expr)
 # define UNIV_LIKELY_NULL(expr) (expr)
-# define UNIV_PREFETCH_R(addr) sparc_prefetch_read_many(addr)
-# define UNIV_PREFETCH_RW(addr) sparc_prefetch_write_many(addr)
+# define UNIV_PREFETCH_R(addr) sun_prefetch_read_many(addr)
+# define UNIV_PREFETCH_RW(addr) sun_prefetch_write_many(addr)
 #else
 /* Dummy versions of the macros */
 # define UNIV_EXPECT(expr,value) (expr)

